# sMToken_base Struct Reference

`#include <m_token.h>`

## Data Fields

enum eMToken | kind
enum eMSToken | subkind
union uMToken * | chain
int | flags

## Detailed Description

Token base descriptor header. Descibes the type of token being processed.

## Field Documentation

union uMToken* sMToken_base::chain `[write]`

Pointer to next token. NULL terminated.

int sMToken_base::flags

Token flags.

enum eMToken sMToken_base::kind

Token kind.

enum eMSToken sMToken_base::subkind

Token Subkind.

The documentation for this struct was generated from the following file:

- src/m_token.h